package at.ac.tuwien.dbai.ges.solver.constraint.hierarchy;

import at.ac.tuwien.dbai.ges.solver.definition.Instance;
import at.ac.tuwien.dbai.ges.solver.solution.Shift;

/**
 * This constraint type deals with individual shifts (and their assignment to employees).
 *
 * @author Lucas Kletzander
 */
public abstract class ShiftConstraint extends Constraint {

    public ShiftConstraint(Instance instance) {
        super(instance);
    }

    public abstract void addShift(String id, Shift shift);

    public abstract void removeShift(String id, Shift shift);

}
