package at.ac.tuwien.dbai.ges.solver.converter;

/**
 * This exception is thrown if there is an error in the conversion process.
 *
 * @author Lucas Kletzander
 */
public class ConversionException extends RuntimeException {

    public ConversionException(String message) {
        super(message);
    }

    public ConversionException(String message, Throwable cause) {
        super(message, cause);
    }

    public ConversionException(Throwable cause) {
        super(cause);
    }

}
