package at.ac.tuwien.dbai.ges.solver.definition;

import at.ac.tuwien.dbai.ges.solver.constraint.hierarchy.BreakConstraint;
import at.ac.tuwien.dbai.ges.solver.constraint.hierarchy.BreakArrangementConstraint;

import java.util.ArrayList;
import java.util.List;

/**
 * A break type.
 *
 * @author Lucas Kletzander
 */
public class BreakType {

    public String id;
    public List<BreakConstraint> localConstraints = new ArrayList<>();
    public List<BreakArrangementConstraint> constraints = new ArrayList<>();

}
