package at.ac.tuwien.dbai.ges.solver.definition;

import at.ac.tuwien.dbai.ges.solver.constraint.hierarchy.ShiftArrangementConstraint;
import at.ac.tuwien.dbai.ges.solver.constraint.hierarchy.ShiftConstraint;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * A contract.
 *
 * @author Lucas Kletzander
 */
public class Contract {

    public String id;
    public String parent;
    public String label;
    public boolean workSwitchesPerShift = true;
    //TODO workSwitchLimitPerShift and taskLengths as ShiftConstraints?
    public List<ShiftArrangementConstraint> arrangementConstraints = new ArrayList<>();
    public List<ShiftConstraint> shiftConstraints = new ArrayList<>();
    public Map<String, Double> skills = new HashMap<>();
    public String shiftTypes;
    //TODO usageOptional

}
