package at.ac.tuwien.dbai.ges.solver.definition;

import at.ac.tuwien.dbai.ges.solver.constraint.hierarchy.ShiftConstraint;

import java.util.ArrayList;
import java.util.List;

/**
 * A shift type.
 *
 * @author Lucas Kletzander
 */
public class ShiftType {

    public String id;
    public String name;
    public String label;
    public List<ShiftConstraint> shiftTypeConstraints = new ArrayList<>();
    public boolean[] validDays;

    public int earliestStart = -1;
    public int latestStart = -1;
    public int earliestEnd = -1;
    public int latestEnd = -1;

}
