package at.ac.tuwien.dbai.ges.solver.algorithm;

import at.ac.tuwien.dbai.ges.solver.algorithm.move.Initialization;
import at.ac.tuwien.dbai.ges.solver.definition.Instance;
import at.ac.tuwien.dbai.ges.solver.solution.Solution;

/**
 * This algorithm checks a solution by performing the initialization with the given instance and solution.
 *
 * @author Lucas Kletzander
 */
public class SolutionChecker extends Algorithm {

    @Override
    public void apply(Instance instance, Solution solution) {

        double value = new Initialization(instance).initialize(solution);
        System.out.println("Evaluation resulted in value " + value);

    }

}
