package at.ac.tuwien.dbai.ges.solver.constraint.hierarchy;

import at.ac.tuwien.dbai.ges.solver.definition.Instance;
import at.ac.tuwien.dbai.ges.solver.solution.Break;

/**
 * This constraint type deals with individual breaks.
 */
public abstract class BreakConstraint extends Constraint {

    public BreakConstraint(Instance instance) {
        super(instance);
    }

    public abstract void addBreak(Break br);

    public abstract void removeBreak(Break br);

}
