package at.ac.tuwien.dbai.ges.solver.constraint.hierarchy;

import at.ac.tuwien.dbai.ges.solver.definition.Instance;

/**
 * This constraint type deals with employee constraints.
 *
 * @author Lucas Kletzander
 */
public abstract class EmployeeConstraint extends Constraint {

    public EmployeeConstraint(Instance instance) {
        super(instance);
    }

    public abstract void addEmployee(String id);

    public abstract void removeEmployee(String id);

}
