package at.ac.tuwien.dbai.ges.solver.constraint.hierarchy;

import at.ac.tuwien.dbai.ges.solver.definition.Instance;
import at.ac.tuwien.dbai.ges.solver.solution.TaskInstance;

/**
 * This constraint deals with task assignments.
 *
 * @author Lucas Kletzander
 */
public abstract class TaskConstraint extends Constraint implements Cloneable {

    public TaskConstraint(Instance instance) {
        super(instance);
    }

    public abstract void addTask(TaskInstance task);

    public abstract void removeTask(TaskInstance task);

    @Override
    public abstract TaskConstraint clone();

}
